## libomxil-bellagio 0.9.2.1-git.20101216t085958.772f0ec

=== debian/changelog ===
libomxil-bellagio (0.9.2.1-git.20101216t085958.772f0ec-0ubuntu2) natty; urgency=low

  * debian/control
   - added the package libomxil-bellagio-bin

  * debian/rules
   - removed override_auto_test

  * debian/libomxil-bellagio-bin.install
   - install file for binary package

  * debian/patches/test_build.patch
   - patch to change include and library path 

 -- Kunal Goel <kunal.goel@linaro.org>  Mon, 07 Feb 2011 23:50:42 +0530

libomxil-bellagio (0.9.2.1-git.20101216t085958.772f0ec-0ubuntu1) natty; urgency=low

  * Initial release for 0.9.2.1

 -- Kunal Goel <kunal.goel@linaro.org>  Wed, 12 Jan 2011 16:17:02 -0600
