=== debian/control ===
Source: libomxil-bellagio
Priority: extra
Maintainer: Kunal Goel <kunal.goel@linaro.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf,
               pkg-config,
               doxygen
Standards-Version: 3.9.1
Section: libs

Package: libomxil-bellagio0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open MAX Integration Layer - shared library
 Open MAX Integration Layer (IL) is a standard API 
 to access Multimedia Components on mobile platforms,
 defined by the Khronos group, multimedia frameworks can access
 hardware accelerators.
 .
 This package provides a build of libomxil-bellagio 
 shared library together with the Open MAX components

Package: libomxil-bellagio-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libomxil-bellagio0 (= ${binary:Version})
Description: Open MAX Integration Layer - development files
 Open MAX Integration Layer (IL) is a standard API 
 to access Multimedia Components on mobile platforms,
 defined by the Khronos group, multimedia frameworks can access
 hardware accelerators.
 .
 This package contains the development files for 
 shared library

Package: libomxil-bellagio-components-base
Architecture: any
Depends:  ${shlibs:Depends} , ${misc:Depends}
Description: Open MAX components - shared objects
 Open MAX components built as separate shared objects and
 loaded at runtime
 .
 This package provides a build of Open MAX components

Package: libomxil-bellagio-bin
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, libomxil-bellagio0 (= ${binary:Version})
Description: Open MAX components - binary files
 Open MAX binary for registering components built as
 shared objects and loaded at runtime.
 .
 This package provides a registeration binary for Open MAX components
