=== debian/control ===
Source: libomxil-bellagio
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 8), dh-autoreconf,
 autotools-dev, libasound2-dev, libmad0-dev, libvorbis-dev,
 doxygen, libjs-jquery
Standards-Version: 3.9.8
Vcs-Browser: http://git.debian.org/?p=collab-maint/libomxil-bellagio.git
Vcs-Git: git://git.debian.org/git/collab-maint/libomxil-bellagio.git
Homepage: http://sourceforge.net/projects/omxil/

Package: libomxil-bellagio0
Recommends: libomxil-bellagio-bin
Suggests: libomxil-bellagio0-components-base
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation of OpenMAX IL, run-time library
 OpenMAX Integration Layer (IL) is a standard API to access Multimedia
 Components on mobile platforms. It has been defined by the Khronos
 group.  By means of the OpenMAX IL API, multimedia frameworks can
 access hardware accelerators on platforms that provide it.
 .
 Bellagio is an opensource implementation of the OpenMAX IL API that
 runs on Linux.
 .
 It is intended to show the usage of the IL API and to allow people to
 start developing components.
 .
 This package provides the OpenMAX IL core shared library with a
 "reference" component.

Package: libomxil-bellagio-bin
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libomxil-bellagio0 (<< 0.9.3-4)
Breaks: libomxil-bellagio0 (<< 0.9.3-4)
Description: implementation of OpenMAX IL, run-time library (utilities)
 OpenMAX Integration Layer (IL) is a standard API to access Multimedia
 Components on mobile platforms. It has been defined by the Khronos
 group.  By means of the OpenMAX IL API, multimedia frameworks can
 access hardware accelerators on platforms that provide it.
 .
 Bellagio is an opensource implementation of the OpenMAX IL API that
 runs on Linux.
 .
 It is intended to show the usage of the IL API and to allow people to
 start developing components.
 .
 This package provides the OpenMAX IL core shared library with a
 "reference" component.
 .
 This package provides the OpenMAX IL core utilities.

Package: libomxil-bellagio0-components-base
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libomxil-bellagio-bin
Description: components for Bellagio OpenMAX IL
 OpenMAX Integration Layer (IL) is a standard API to access Multimedia
 Components on mobile platforms. It has been defined by the Khronos
 group.  By means of the OpenMAX IL API, multimedia frameworks can
 access hardware accelerators on platforms that provide it.
 .
 Bellagio is an opensource implementation of the OpenMAX IL API that
 runs on Linux.
 .
 It is intended to show the usage of the IL API and to allow people to
 start developing components.

Package: libomxil-bellagio-dev
Provides: libomxil-dev
Architecture: any
Section: libdevel
Depends: libomxil-bellagio0 (= ${binary:Version}), ${misc:Depends}
Suggests: libomxil-bellagio-doc
Description: implementation of OpenMAX IL, development files
 OpenMAX Integration Layer (IL) is a standard API to access Multimedia
 Components on mobile platforms. It has been defined by the Khronos
 group.  By means of the OpenMAX IL API, multimedia frameworks can
 access hardware accelerators on platforms that provide it.
 .
 Bellagio is an opensource implementation of the OpenMAX IL API that
 runs on Linux.
 .
 It is intended to show the usage of the IL API and to allow people to
 start developing components.
 .
 This package provides the OpenMAX IL core development files.

Package: libomxil-bellagio0-dbg
Architecture: any
Section: debug
Depends: libomxil-bellagio0 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Description: implementation of OpenMAX IL, debugging symbols
 Debug symbols for libomxil-bellagio.

Package: libomxil-bellagio0-components-base-dbg
Architecture: any
Section: debug
Depends: libomxil-bellagio0-components-base (= ${binary:Version}), ${misc:Depends}
Priority: extra
Description: components for Bellagio OpenMAX IL, debugging symbols
 Debug symbols for libomxil-bellagio.

Package: libomxil-bellagio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: lynx | www-browser, libjs-jquery, ${misc:Depends}
Description: Documentation of the Bellagio OpenMAX IL
 OpenMAX Integration Layer (IL) is a standard API to access Multimedia
 Components on mobile platforms. It has been defined by the Khronos
 group.  By means of the OpenMAX IL API, multimedia frameworks can
 access hardware accelerators on platforms that provide it.
 .
 Bellagio is an opensource implementation of the OpenMAX IL API that
 runs on Linux.
 .
 It is intended to show the usage of the IL API and to allow people to
 start developing components.
 .
 This package contains the HTML documentation.
