=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = git://omxil.git.sourceforge.net/gitroot/omxil/omxil

%:
	dh  $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-videosrc --disable-jpeg

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp -name "*.la" -delete
	rm -f $(CURDIR)/doc/libomxil-bellagio/html/jquery.js

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/libomxil-bellagio0/

override_dh_strip:
	dh_strip -plibomxil-bellagio0-components-base --dbg-package=libomxil-bellagio0-components-base-dbg
	dh_strip --remaining-packages --dbg-package=libomxil-bellagio0-dbg

update-patch-series:
	mkdir -p $(CURDIR)/debian/patches
	rm -f $(CURDIR)/debian/patches/*.patch
	git-format-patch -o $(CURDIR)/debian/patches patches ^upstream | \
	xargs -n 1 basename > $(CURDIR)/debian/patches/series

get-orig-source::
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir
