=== debian/tests/control ===
Tests: test-registry-file
Depends: @
